# List Course enrollments

> Source: https://truto.one/docs/api-reference/unified-lms-api/courseenrollments/list/

`GET /unified/lms/course-enrollments`

Resource: **CourseEnrollments** · API: **Unified LMS API**

## Supported integrations

TalentLMS

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_key_by`** _(string)_
  By default the `result` attribute is an array of objects. This parameter allows you to specify a field in each `result` objects to use as key, which transforms the `result` array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
- **`truto_ignore_limit`** _(boolean)_
  Ignores the `limit` query parameter.
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`user`** _(object)_
  The learner associated with this record
- **`course`** _(object)_
  The course associated with this record

## Response body

- **`result`** _(array<object>)_
  List of Course enrollments
  - **`id`** _(string, required)_
    The unique identifier for the course enrollment record
  - **`user`** _(object)_
    The learner associated with this record
    - **`id`** _(string)_
      The unique identifier for a user
    - **`name`** _(string)_
      The name of the user
    - **`emails`** _(array<object>)_
      The emails of the user
      - **`email`** _(string)_
        The email address
      - **`type`** _(string)_
        The type of email address
      - **`is_primary`** _(boolean)_
        Whether the email address is primary
  - **`course`** _(object)_
    The course associated with this record
    - **`id`** _(string)_
      The unique identifier for the course
    - **`title`** _(string)_
      The title of the course
  - **`status`** _(string)_
    The lifecycle status for the user in this course
    Allowed: `assigned`, `enrolled`, `in_progress`, `completed`, `passed`, `failed`, `withdrawn`, `expired`, `overdue`, `unknown`
  - **`assigned_at`** _(string)_
    The date and time the course was assigned to the user, when available
  - **`due_at`** _(string)_
    The due date for course completion, when available
  - **`enrolled_at`** _(string)_
    The date and time the user enrolled or registered, when available
  - **`started_at`** _(string)_
    The date and time the user started the course, when available
  - **`last_activity_at`** _(string)_
    The date and time of the last recorded activity for this enrollment, when available
  - **`completed_at`** _(string)_
    The date and time the user completed the course, when available
  - **`progress_percent`** _(number)_
    Progress percentage from 0 to 100, when available
  - **`time_spent_seconds`** _(integer)_
    Total time spent in seconds, when available
  - **`score`** _(number)_
    The latest or final score, when available
  - **`is_mandatory`** _(boolean)_
    Whether this enrollment is part of a mandatory assignment, when available
  - **`assigned_by`** _(object)_
    The assigner of this course to the user, when available
    - **`id`** _(string)_
      The unique identifier for a user
    - **`name`** _(string)_
      The name of the user
  - **`attempt_number`** _(integer)_
    The latest attempt number, when the LMS supports retakes
  - **`attempts_count`** _(integer)_
    Total attempts count, when available
  - **`urls`** _(array<object>)_
    The URLs of the course-enrollments
    - **`url`** _(string)_
      The URL
    - **`type`** _(string)_
      The type of URL
  - **`created_at`** _(string)_
    The date and time the enrollment record was created
  - **`updated_at`** _(string)_
    The date and time the enrollment record was last updated
  - **`custom_fields`** _(object)_
    Provider or customer specific fields mapped into a flexible key-value object
  - **`remote_data`** _(object)_
    Raw data returned from the remote API call.
- **`next_cursor`** _(string)_
  The cursor to use for the next page of results. Pass this value as `next_cursor` in the query parameter in the next request to get the next page of results.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/lms/course-enrollments?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/lms/course-enrollments?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/lms/course-enrollments"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'lms',
  'courseenrollments',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "lms",
        "courseenrollments",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())
```
